TreeNodeRendererListener

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.tree.client
Class TreeNodeRendererListener

    java.lang.Object
      org.openswing.swing.tree.client.TreeNodeRendererListener

All Implemented Interfaces:
  java.util.EventListener, java.awt.event.KeyListener, java.awt.event.MouseListener

public class TreeNodeRendererListener
extends java.lang.Object
implements java.awt.event.MouseListener, java.awt.event.KeyListener

Title: OpenSwing Framework

Description: Tree node renderer listeners, for mouse and key events.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Constructor Summary
`TreeNodeRendererListener(TreePanel treePanel)`

Method Summary
`void` | `keyPressed(java.awt.event.KeyEvent e)` keyPressed
`void` | `keyReleased(java.awt.event.KeyEvent e)` keyReleased
`void` | `keyTyped(java.awt.event.KeyEvent e)` keyTyped
`void` | `mouseClicked(java.awt.event.MouseEvent e)` mouseClicked
`void` | `mouseEntered(java.awt.event.MouseEvent e)` mouseEntered
`void` | `mouseExited(java.awt.event.MouseEvent e)` mouseExited
`void` | `mousePressed(java.awt.event.MouseEvent e)` mousePressed
`void` | `mouseReleased(java.awt.event.MouseEvent e)` mouseReleased

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeNodeRendererListener

    public TreeNodeRendererListener(TreePanel treePanel)

Method Detail

### keyPressed

    public void keyPressed(java.awt.event.KeyEvent e)

  keyPressed

  Specified by:
    `keyPressed` in interface `java.awt.event.KeyListener`
  Parameters:
    `e` - KeyEvent

### keyReleased

    public void keyReleased(java.awt.event.KeyEvent e)

  keyReleased

  Specified by:
    `keyReleased` in interface `java.awt.event.KeyListener`
  Parameters:
    `e` - KeyEvent

### keyTyped

    public void keyTyped(java.awt.event.KeyEvent e)

  keyTyped

  Specified by:
    `keyTyped` in interface `java.awt.event.KeyListener`
  Parameters:
    `e` - KeyEvent

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

  mouseClicked

  Specified by:
    `mouseClicked` in interface `java.awt.event.MouseListener`
  Parameters:
    `e` - MouseEvent

### mouseEntered

    public void mouseEntered(java.awt.event.MouseEvent e)

  mouseEntered

  Specified by:
    `mouseEntered` in interface `java.awt.event.MouseListener`
  Parameters:
    `e` - MouseEvent

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent e)

  mouseExited

  Specified by:
    `mouseExited` in interface `java.awt.event.MouseListener`
  Parameters:
    `e` - MouseEvent

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  mousePressed

  Specified by:
    `mousePressed` in interface `java.awt.event.MouseListener`
  Parameters:
    `e` - MouseEvent

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  mouseReleased

  Specified by:
    `mouseReleased` in interface `java.awt.event.MouseListener`
  Parameters:
    `e` - MouseEvent

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD